Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

Ran through the upgrade to 11.10 and bunch of errors came back. After some initial diagnosis and autoremove via apt-get, I've still got 17 packages that won't install. Running dpkg --audit gives me:

The following packages are only half configured, probably due to problems
configuring them the first time.  The configuration should be retried using
dpkg --configure <package> or the configure menu option in dselect:
 libglib2.0-0:i386    GLib library of C routines

So I run that, and get the following:

sudo dpkg --configure libglib2.0-0:i386
Setting up libglib2.0-0:i386 (2.30.0-0ubuntu4) ...
/usr/lib/i386-linux-gnu/glib-2.0/glib-compile-schemas: error while loading shared                  libraries: libglib-2.0.so.0: cannot open shared object file: No such file or directory
/usr/lib/i386-linux-gnu/glib-2.0/gio-querymodules: error while loading shared   libraries: libglib-2.0.so.0: cannot open shared object file: No such file or directory
dpkg: error processing libglib2.0-0:i386 (--configure):
 subprocess installed post-installation script returned error exit status 127
Processing triggers for libc-bin ...
ldconfig deferred processing now taking place
Errors were encountered while processing:
 libglib2.0-0:i386

Any ideas?

UPDATE: So, I was able to clear some errors, but now I can reproduce this when trying to install ia32-libs.

UPDATE2:

ldd /usr/lib/i386-linux-gnu/glib-2.0/glib-compile-schemas
  linux-gate.so.1 =>  (0xf779d000)
  libglib-2.0.so.0 => not found
  libc.so.6 => /opt/McAfee/runtime/2.0/lib/libc.so.6 (0xf767b000)
  /lib/ld-linux.so.2 (0xf779e000)

ldd /usr/lib/i386-linux-gnu/glib-2.0/gio-querymodules 
  linux-gate.so.1 =>  (0xf76f2000)
  libglib-2.0.so.0 => not found
  libgobject-2.0.so.0 => not found
  libgmodule-2.0.so.0 => not found
  libgio-2.0.so.0 => not found
  libc.so.6 => /opt/McAfee/runtime/2.0/lib/libc.so.6 (0xf75cf000)
  /lib/ld-linux.so.2 (0xf76f3000)

grep -r . /etc/ld.so.conf*:

/etc/ld.so.conf:include /etc/ld.so.conf.d/*.conf
/etc/ld.so.conf.d/biarch-compat.conf:# Legacy biarch compatibility support
/etc/ld.so.conf.d/biarch-compat.conf:/lib32
/etc/ld.so.conf.d/biarch-compat.conf:/usr/lib32
/etc/ld.so.conf.d/x86_64-linux-gnu_GL.conf:/usr/lib/nvidia-current-updates
/etc/ld.so.conf.d/x86_64-linux-gnu_GL.conf:/usr/lib32/nvidia-current-updates
/etc/ld.so.conf.d/i686-linux-gnu.conf:# Multiarch support
/etc/ld.so.conf.d/i686-linux-gnu.conf:/lib/i386-linux-gnu
/etc/ld.so.conf.d/i686-linux-gnu.conf:/usr/lib/i386-linux-gnu
/etc/ld.so.conf.d/i686-linux-gnu.conf:/lib/i686-linux-gnu
/etc/ld.so.conf.d/i686-linux-gnu.conf:/usr/lib/i686-linux-gnu
/etc/ld.so.conf.d/nvidia_settings.conf:/usr/lib/nvidia-settings-updates
/etc/ld.so.conf.d/libc.conf:# libc default configuration
/etc/ld.so.conf.d/libc.conf:/usr/local/lib
/etc/ld.so.conf.d/x86_64-linux-gnu.conf:# Multiarch support
/etc/ld.so.conf.d/x86_64-linux-gnu.conf:/lib/x86_64-linux-gnu
/etc/ld.so.conf.d/x86_64-linux-gnu.conf:/usr/lib/x86_64-linux-gnu

These files exist:

/lib32/libglib-2.0.so.0 -> libglib-2.0.so.0.3000.0
/lib/i386-linux-gnu/libglib-2.0.so.0 -> libglib-2.0.so.0.3000.0
/usr/lib32/libgobject-2.0.so.0 -> libgobject-2.0.so.0.3000.0
/usr/lib/i386-linux-gnu/libgobject-2.0.so.0 -> libgobject-2.0.so.0.3000.0

More info:

echo $LD_LIBRARY_PATH, $LD_PRELOAD, $PATH:
, , /home/vrigdon/bin:/home/vrigdon/apache-maven-3.0.3/bin:/home/vrigdon/apache-ant-1.8.2/bin:/home/vrigdon/bin:/usr/lib/lightdm/lightdm:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/games:/home/vrigdon/dev/lib/android-sdk-linux_x86/platform-tools:/home/vrigdon/gradle-1.0-milestone-3/bin
share|improve this question
    
Please add the output of ldd /usr/lib/i386-linux-gnu/glib-2.0/glib-compile-schemas. Repeat this for all paths on which you've a shared library error. –  Lekensteyn Oct 14 '11 at 18:12
    
@Lekensteyn I've added the outputs. –  Valdis R Oct 14 '11 at 18:50
    
Do /usr/lib/i386-linux-gnu/libgobject-2.0.so.0, /usr/lib32/libgobject-2.0.so.0, /lib/i386-linux-gnu/libglib-2.0.so.0 and /lib32/libglib-2.0.so.0 exist? Please add the output of grep -r . /etc/ld.so.conf* to your question. –  Lekensteyn Oct 14 '11 at 19:55
    
@Lekensteyn Updated again. Thanks for the help so far! –  Valdis R Oct 14 '11 at 20:36
    
Do you really need McAfee? It has probably something to do with it. Please add the result of: echo $LD_LIBRARY_PATH, $LD_PRELOAD, $PATH –  Lekensteyn Oct 14 '11 at 20:44
show 1 more comment

1 Answer

up vote 0 down vote accepted

I never solved this, as I re-installed the OS, but I'm pretty sure it was the McAfee install.

share|improve this answer
add comment

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.